View Issue Details

IDProjectCategoryView StatusLast Update
0019992mantisbtadministrationpublic2017-07-06 06:55
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019992: Default page for Manage config submenu should be "Permissions Report"
Description

This avoids systematic display of the Configuration Report (which is shown by default for users having view_configuration_threshold).

This page can be quite slow to load, and moreover is often not what admins want to do when using this menu.

TagsNo tags attached.

Relationships

related to 0022730 closeddregad 'Manage Configuration' tab usually does not highlight 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master a00053e7

2015-08-02 10:20:47

dregad

Details Diff
Change default page for Manage config submenu

When opened, the menu now always displays the Permissions Report page
(adm_permissions_report.php), regardless of the user's access level.

This avoids display of the Configuration Report (which was previsouly
shown by default for users having view_configuration_threshold), as that
page can be quite slow to load and moreover it is often not what admins
want to do in this menu.

Fixes 0019992
mod - core/html_api.php Diff File

MantisBT: master 05dff488

2017-07-02 12:43:49

dregad

Details Diff
Fix highlighting of 'Manage Configuration' menu

Issue 0019992 changed the default page for 'Manage Configuration' menu.
This introduced a regression, causing the main menu item to no longer be
properly highlighted when any page other than the previous default one
(Configuration Report) was active.

We now define the default page as a constant (DEFAULT_CONFIG_PAGE),
which is used in all of the menu's sub-pages.

Fixes 0022730
mod - adm_config_report.php Diff File
mod - adm_permissions_report.php Diff File
mod - core/constant_inc.php Diff File
mod - manage_config_columns_page.php Diff File
mod - manage_config_email_page.php Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_workflow_page.php Diff File

Issue History

Date Modified Username Field Change
2015-08-02 17:41 dregad New Issue
2015-08-02 17:41 dregad Status new => assigned
2015-08-02 17:41 dregad Assigned To => dregad
2015-08-02 17:50 dregad Changeset attached => MantisBT master a00053e7
2015-08-02 17:50 dregad Status assigned => resolved
2015-08-02 17:50 dregad Resolution open => fixed
2015-08-02 17:50 dregad Fixed in Version => 1.3.0-beta.3
2015-09-06 17:37 vboctoradmin Status resolved => closed
2017-07-02 19:38 dregad Relationship added related to 0022730
2017-07-06 06:55 dregad Changeset attached => MantisBT master 05dff488